package com.bytedance.ies.xbridge.base.runtime.depend;

import X.C0581K9k;
import X.HyZ;
import X.KGQ;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.List;
import java.util.Map;

public interface IHostRouterDepend {
    static {
        Covode.recordClassIndex(31435);
    }

    boolean closeView(KGQ kgq, HyZ hyZ, String str, boolean z);

    boolean openSchema(KGQ kgq, String str, Map<String, ? extends Object> map, HyZ hyZ, Context context);

    C0581K9k provideRouteOpenExceptionHandler(KGQ kgq);

    List<C0581K9k> provideRouteOpenHandlerList(KGQ kgq);
}
